EmbodiFlowDocs
Get startedDataWorkflows and algorithmsTraining and deploymentDeveloper reference
  • Developer reference

Authentication

  • Authentication overview
  • API keys
  • Personal access tokens
  • Browser sessions

REST API

  • Using the REST API
  • All endpoints
  • Projects
    • Recordings
      • Upload
        • Episodes and versions
          • GET
            Get a dataset version composition profile
          • GET
            List quality findings for a dataset version composition profile
          • POST
            Create a composition profile request
          • GET
            List composition profiles for a dataset version
          • GET
            Count episodes matching a filter
          • POST
            Apply label and segment operations to a selection of episodes
          • GET
            Semantic search availability and index coverage for the project
          • GET
            List episodes in a project
          • GET
            Get an episode
          • GET
            List revisions of an episode
          • POST
            Append one episode revision (never If-Match)
          • GET
            Find similar episodes in the same project
          • GET
            List version aliases in a project
          • DELETE
            Delete a version alias
          • PUT
            Create or move a version alias
          • GET
            List versions in a project
          • POST
            Create a version from a selection of episodes
          • DELETE
            Move a version to trash
          • GET
            Get a version
          • PATCH
            Patch version name, readme, and licence
          • GET
            Get a version citation
          • GET
            List episodes in a version
          • POST
            Preview a version selection without writing
        • Annotation
          • Quality and tasks
            • Search
              • Workflows
                • Algorithms
                  • Models
                    • Artifacts and export
                      • Billing and usage
                        • Team and governance
                          • Account and notifications
                            • Webhook endpoints

                              Events

                              • Outbound events
                              • Signature verification

                              Tools

                              • CLI
                              • SDK
                              • MCP

                              Updates

                              • Changelog

                              © 2026 EmbodiFlow

                              llms.txtOpenAPI JSON
                              1. Developer reference
                              2. REST API
                              3. Episodes and versions
                              4. Get an episode

                              Get an episode

                              GET
                              /v1/projects/{projectId}/episodes/{episodeId}
                              curl -X GET 'https://api.embodiflow.io/v1/projects/{projectId}/episodes/{episodeId}' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'

                              Authorization

                              Send a personal access token with every request.

                              • Authorization: Bearer PAT
                              Authentication guide

                              Path parameters

                              • projectIdstringrequired
                              • episodeIdstringrequired

                              Responses

                              Success

                              • dataobjectrequired
                                • previewobjectrequired
                                • episodeIdstringrequired
                                • recordingIdstringrequired
                                • recordingNamestringrequired
                                • startNsnumberrequired
                                • endNsnumberrequired
                                • durationNsnumberrequired
                                • cameraKeysarray<string>required
                                • posterUrlstring | nullrequired
                                • taskobject | nullrequired
                                • outcomestring | nullrequired
                                • subtaskCountnumberrequired
                                • tagsarray<string>required
                                • attributesobjectrequired
                                • splitTagstring | nullrequired
                                • labelStatestringrequired
                                • verdictstringrequired
                                  Allowed values
                                  warning
                                  fail
                                  pass
                                  incomplete
                                  not_checked
                                • verdictReasonstring | nullrequired
                                • issueCountnumberrequired
                                • collectorany | nullrequired
                                • headRevisionIdstring | nullrequired
                                • confidencenumber | nullrequired
                                • excludedone ofrequired
                                • provenancestringrequired
                                  Allowed values
                                  human
                                  ai_proposed
                                • reviewedone ofrequired
                                • semanticScorenumber
                              Response example
                              {
                                "data": {
                                  "preview": {
                                    "videoUrl": "string",
                                    "startSeconds": 0
                                  },
                                  "episodeId": "string",
                                  "recordingId": "string",
                                  "recordingName": "string",
                                  "startNs": 0,
                                  "endNs": 0,
                                  "durationNs": 0,
                                  "cameraKeys": [
                                    "string"
                                  ],
                                  "posterUrl": "string",
                                  "task": {
                                    "en": "string",
                                    "zh": "string"
                                  },
                                  "outcome": "string",
                                  "subtaskCount": 0,
                                  "tags": [
                                    "string"
                                  ],
                                  "attributes": {},
                                  "splitTag": "string",
                                  "labelState": "string",
                                  "verdict": "warning",
                                  "verdictReason": "string",
                                  "issueCount": 0,
                                  "collector": null,
                                  "headRevisionId": "string",
                                  "confidence": 0,
                                  "excluded": false,
                                  "provenance": "human",
                                  "reviewed": false,
                                  "semanticScore": 0
                                }
                              }
                              Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1
                              Previous

                              GET /projects/{projectId}/episodes

                              Next

                              GET /projects/{projectId}/episodes/{episodeId}/revisions

                              curl -X GET 'https://api.embodiflow.io/v1/projects/{projectId}/episodes/{episodeId}' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'
                              Response example
                              Status code
                              200
                              ​
                              {
                                "data": {
                                  "preview": {
                                    "videoUrl": "string",
                                    "startSeconds": 0
                                  },
                                  "episodeId": "string",
                                  "recordingId": "string",
                                  "recordingName": "string",
                                  "startNs": 0,
                                  "endNs": 0,
                                  "durationNs": 0,
                                  "cameraKeys": [
                                    "string"
                                  ],
                                  "posterUrl": "string",
                                  "task": {
                                    "en": "string",
                                    "zh": "string"
                                  },
                                  "outcome": "string",
                                  "subtaskCount": 0,
                                  "tags": [
                                    "string"
                                  ],
                                  "attributes": {},
                                  "splitTag": "string",
                                  "labelState": "string",
                                  "verdict": "warning",
                                  "verdictReason": "string",
                                  "issueCount": 0,
                                  "collector": null,
                                  "headRevisionId": "string",
                                  "confidence": 0,
                                  "excluded": false,
                                  "provenance": "human",
                                  "reviewed": false,
                                  "semanticScore": 0
                                }
                              }